Thru Server 9.9.0 Release Notes October 22 2018

Preview of images and PDF files

PDF documents and image files of the following formats can be previewed in Thru web portal internal application pages and external email distribution page: png, jpg, jpeg, jfif, bmp, tif, tiff, gif, pdf

On internal portal pages Preview button is on the Summary tab:

On external distribution page preview is called via the ‘eye’ icon:

Basic Users group

New security group Basic Users is added. Group members have limited visibility in Thru portal UI: only Summary tab with limited information is displayed for files and folders, sharing of files via email or links is disabled. API connectivity is not available.

GDPR compliance features

The following features are implemented to make Thru software GDPR compliant:

·         Administration feature to switch Thru site to GDPR more, requires administrator to consent to agreement provided by Thru

·         Administration feature to edit the consent text for external guest users when Thru site operates in GDPR mode.

·         Administration tool to delete personal information when a user is deleted in Thru

·         Administration tool to delete personal information for previously deleted users

·         Guest users will be asked to consent to agreement before registering with Thru site.

·         Current or past users can request removal of account and personal information in Thru site. Removal request requires confirmation of mailbox ownership by a user and is routed to Thru site administrator where information can be removed immediately or at later time.

·         Tool to toggle individual languages supported in Thru site.

User Experience improvements

Attachments removal in web email

Attachment of any type can be removed from Thru web email by a user before email is sent

Permission editing warning

Warning is displayed if administrator tries to remove permissions for the  Administrators group at the root level

Security Enhancements

·         Added Audit Log entry for failed password attempts via protected drobox or protected email for guest users

·         Multiple fixes in response to Qualys testing.

Compatibility with the services

Required minimum versions of Thru services:

·         Thru FTP Service – 2.0.37

·         Thru SFTP Service – 2.2.0

·         Thru Purge Service – 1.13

·         Thru Scheduler Service – 2.15